<?php
/**
 * @component     CG Parallax
 * Version			: 1.0.4
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2021 ConseilGouz. All Rights Reserved.
 * @author ConseilGouz 
 * Updated on       : January, 2021
**/

// No direct access
defined('_JEXEC') or die;
use Joomla\Registry\Registry;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
class CGParallaxHelper {
    public static $extension = 'com_cgparallax';
    public static $params;
    /**
     * Configure the Linkbar.
     */
    public static function addSubmenu($vName = '') {
		
        JHtmlSidebar::addEntry(
        Text::_('Pages')
        ,'index.php?option=com_cgparallax&view=pages',
        $vName == 'Pages');
        \JHtmlSidebar::addEntry(
        Text::_('Import')
        ,'index.php?option=com_cgparallax&view=import',
        $vName == 'Import');
	}
    /**
     *  Returns permissions
     *
     *  @return  object
     */
    public static function getActions()
    {
        $user = Factory::getUser();
        $result = new JObject;
        $assetName = 'com_cgparallax';

        $actions = array(
            'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
        );

        foreach ($actions as $action)
        {
            $result->set($action, $user->authorise($action, $assetName));
        }
        return $result;
    }
}
