<?php
/**
 * @component     CG Parallax
 * Version			: 1.1.1
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2021 ConseilGouz. All Rights Reserved.
 * @author ConseilGouz 
**/
// no direct access
defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;

PluginHelper::importPlugin('content');

$doc = Factory::getDocument();

// JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('jquery.framework');

$user = Factory::getUser();
$userId = $user->get('id');
$app = Factory::getApplication();
$com_id = $app->input->getInt('Itemid');
$comfield	= ''.JURI::base(true).'/components/com_cgparallax/';

$doc->addStyleSheet($comfield.'assets/css/parallax.css');
// $doc->addStyleSheet($comfield.'assets/css/aos.css'); 
$doc->addStyleSheet($comfield.'assets/css/vegas.min.css'); 
// $doc->addScript($comfield .'assets/js/aos.js');
$doc->addScript($comfield .'assets/js/parallax.js');
$doc->addScript($comfield .'assets/js/color_anim.js');
$doc->addScript($comfield .'assets/js/vegas.min.js');
$params = CGParallaxHelper::getParams($this->page);
$parallax =  CGParallaxHelper::getParallax($params);

$doc->addScriptOptions('com_cg_parallax', 
	array('navbar_bg' => $params->get('navbar_bg','lightgrey'),'navbar_color' => $params->get('navbar_color', 'black')
		  ,'menu' => $params->get('menu','true'),'sticky' => $params->get('sticky','true')
		  ,'magic' => $params->get('sticky','false')
		  ,'magic_active' => $params->get('magic_active', 'blue')
		  ));

$buttons = "";
if ($params->get('menu','true') == 'true') {
// create buttons
	$sectionsList = json_decode($params->sectionsList);
	$magic = $params->get('magic','false');
	$buttons = "<div id='cg_navbar'>";
	if ($magic == "true") {
		$buttons .=  "<ul id='cg_magic'>";
	} else {
		$buttons .=  "<ul>";
	}
	$first = true;
	foreach ($sectionsList as $item) {
		$title = $item->section_title;
		if (trim($title) == "") continue;		// 1.0.6
		$title_alias = JFilterOutput::stringURLSafe($title);
		$class = "";
		$rel = "";
		if ($magic == "true") {
			$rel = "rel='".$item->magic_bg."'";
		}
		if ($first) $class="class='active'"; 
		if ($item->sf_type == "menu") {
			$menualias = Factory::getApplication()->getMenu()->getItem($item->menu)->alias;
			$buttons .= "<li ".$class."><a ".$rel." class='cg_bg_btn' href='".$menualias."'>".$title."</a></li>";
		} else {
			$buttons .= "<li ".$class."><a ".$rel." class='cg_bg_btn' href='#".$title_alias."'>".$title."</a></li>";
		}
		$first = false;
	}
	$buttons .= "</ul>";
	$buttons .= "<a href='' class='cg_para_icon'>&#9776;</a></div>";
}
if ($this->params->get('show_page_heading')) {
	echo "<h1>";
	echo $this->escape($this->params->get('page_heading')); 
	echo "</h1>";
}
if (strlen(trim($params->get('intro'))) > 0) {
	// apply content plugins on weblinks
	$item_cls = new stdClass;
	$item_cls->text = $params->get('intro');
	$item_cls->params = $params;
    $item_cls->id= $com_id;
	Factory::getApplication()->triggerEvent('onContentPrepare', array ('com_cgparallax.content', &$item_cls, &$item_cls->params, 0)); // Joomla 4.0
	$intro = 	$item_cls->text;	
	echo $intro; 
}
?>
	<div  class="cg-parallax-main" >
		<?php echo $buttons.$parallax;?>
	</div>
<?php
if (strlen(trim($params->get('bottom'))) > 0) {
	// apply content plugins on weblinks
	$item_cls = new stdClass;
	$item_cls->text = $params->get('bottom');
	$item_cls->params = $params;
    $item_cls->id= $com_id;
	Factory::getApplication()->triggerEvent('onContentPrepare', array ('com_cgparallax.content', &$item_cls, &$item_cls->params, 0)); // Joomla 4.0
	$bottom = 	$item_cls->text;	
	echo $bottom; 
}
?>
	
